import socket
import time

# UDP Configuration
ip = "239.1.2.3"  # Change this to the IP address of your computer or the network address to multicast
port = 1234  # Ensure this matches the port number in your Unity script

# Create the UDP socket
sock = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)

print("Starting UDP sending")
while True:
    # Create some mock data
    mock_data = {
        "temperature": 72.4,
        "humidity": 45.3,
        "battery": 95.2,
    }

    # Convert the mock data to a string and then to bytes
    message = str(mock_data)
    message_bytes = message.encode('utf-8')

    # Send the mock data
    sock.sendto(message_bytes, (ip, port))
    print(message_bytes)

    # Wait for a bit before sending the next packet
    time.sleep(1)
